Bug 162660 - Enable URLParser by default
Summary: Enable URLParser by default
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords:
: 55683 165597 (view as bug list)
Depends on: 163335
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-27 21:04 PDT by Alex Christensen
Modified: 2016-12-14 11:11 PST (History)
6 users (show)

See Also:


Attachments
Patch (131.13 KB, patch)
2016-09-30 23:14 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-yosemite (447.89 KB, application/zip)
2016-09-30 23:51 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-yosemite-wk2 (480.42 KB, application/zip)
2016-09-30 23:54 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-yosemite (333.84 KB, application/zip)
2016-09-30 23:55 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-elcapitan-wk2 (deleted)
2016-10-01 00:07 PDT, Build Bot
no flags Details
Patch (231.99 KB, patch)
2016-10-03 19:05 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-yosemite (1.04 MB, application/zip)
2016-10-03 19:38 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-yosemite (1.53 MB, application/zip)
2016-10-03 19:44 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-yosemite-wk2 (1.23 MB, application/zip)
2016-10-03 19:52 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-elcapitan-wk2 (deleted)
2016-10-03 20:07 PDT, Build Bot
no flags Details
Patch (250.87 KB, patch)
2016-10-06 10:41 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews112 for mac-yosemite (1.88 MB, application/zip)
2016-10-06 11:47 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews101 for mac-yosemite (915.18 KB, application/zip)
2016-10-06 11:51 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-yosemite-wk2 (1.40 MB, application/zip)
2016-10-06 12:01 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-elcapitan-wk2 (deleted)
2016-10-06 12:26 PDT, Build Bot
no flags Details
Patch (265.09 KB, patch)
2016-10-07 11:03 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews116 for mac-yosemite (2.60 MB, application/zip)
2016-10-07 12:00 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-yosemite-wk2 (1.41 MB, application/zip)
2016-10-07 12:23 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-elcapitan-wk2 (deleted)
2016-10-07 12:30 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews103 for mac-yosemite (818.26 KB, application/zip)
2016-10-07 12:39 PDT, Build Bot
no flags Details
Patch (273.22 KB, patch)
2016-10-07 12:57 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-yosemite (952.92 KB, application/zip)
2016-10-07 13:54 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-yosemite-wk2 (1006.20 KB, application/zip)
2016-10-07 13:57 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-elcapitan-wk2 (8.39 MB, application/zip)
2016-10-07 14:09 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-yosemite (1.77 MB, application/zip)
2016-10-07 14:17 PDT, Build Bot
no flags Details
Patch (283.43 KB, patch)
2016-10-07 17:41 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-yosemite (776.40 KB, application/zip)
2016-10-07 18:20 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-yosemite-wk2 (941.15 KB, application/zip)
2016-10-07 18:21 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (7.75 MB, application/zip)
2016-10-07 18:49 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-yosemite (1.71 MB, application/zip)
2016-10-07 21:04 PDT, Build Bot
no flags Details
Patch (283.48 KB, patch)
2016-10-10 14:43 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (283.72 KB, patch)
2016-10-10 16:29 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (285.20 KB, patch)
2016-10-10 17:24 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews121 for ios-simulator-wk2 (13.32 MB, application/zip)
2016-10-10 18:38 PDT, Build Bot
no flags Details
Patch (273.65 KB, patch)
2016-10-10 19:30 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-yosemite (1.01 MB, application/zip)
2016-10-10 20:30 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-yosemite-wk2 (1.26 MB, application/zip)
2016-10-10 20:36 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (9.12 MB, application/zip)
2016-10-10 20:43 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-yosemite (1.71 MB, application/zip)
2016-10-10 20:51 PDT, Build Bot
no flags Details
Patch (286.03 KB, patch)
2016-10-10 21:21 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (282.00 KB, patch)
2016-10-11 12:49 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2016-09-27 21:04:20 PDT
Enable URLParser by default
Comment 1 Alex Christensen 2016-09-30 23:14:46 PDT
Created attachment 290426 [details]
Patch
Comment 2 Alex Christensen 2016-09-30 23:16:45 PDT
Comment on attachment 290426 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=290426&action=review

> LayoutTests/fast/url/relative-expected.txt:10
> -PASS canonicalize('') is 'http://foo/bar'
> -PASS canonicalize('') is 'http://foo/bar'
> +FAIL canonicalize('') should be http://foo/bar. Was http://foo/bar#ref.
> +FAIL canonicalize('') should be http://foo/bar. Was http://foo/bar#.

I'm not 100% sure about these two, but the rest are good.
Comment 3 Build Bot 2016-09-30 23:51:40 PDT
Comment on attachment 290426 [details]
Patch

Attachment 290426 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2180712

Number of test failures exceeded the failure limit.
Comment 4 Build Bot 2016-09-30 23:51:44 PDT
Created attachment 290427 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 5 Build Bot 2016-09-30 23:53:56 PDT
Comment on attachment 290426 [details]
Patch

Attachment 290426 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2180713

Number of test failures exceeded the failure limit.
Comment 6 Build Bot 2016-09-30 23:54:00 PDT
Created attachment 290428 [details]
Archive of layout-test-results from ews105 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 7 Build Bot 2016-09-30 23:55:39 PDT
Comment on attachment 290426 [details]
Patch

Attachment 290426 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2180711

Number of test failures exceeded the failure limit.
Comment 8 Build Bot 2016-09-30 23:55:42 PDT
Created attachment 290430 [details]
Archive of layout-test-results from ews116 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 9 Build Bot 2016-10-01 00:06:56 PDT
Comment on attachment 290426 [details]
Patch

Attachment 290426 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2180727

Number of test failures exceeded the failure limit.
Comment 10 Build Bot 2016-10-01 00:07:00 PDT
Created attachment 290432 [details]
Archive of layout-test-results from ews125 for ios-simulator-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 11 Alex Christensen 2016-10-01 17:59:30 PDT
Comment on attachment 290426 [details]
Patch

Those two are wrong.  Not quite ready.  But now I have a list of changes from EWS!
Comment 12 Alex Christensen 2016-10-03 19:05:10 PDT
Created attachment 290549 [details]
Patch
Comment 13 Build Bot 2016-10-03 19:38:22 PDT
Comment on attachment 290549 [details]
Patch

Attachment 290549 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2214502

Number of test failures exceeded the failure limit.
Comment 14 Build Bot 2016-10-03 19:38:24 PDT
Created attachment 290554 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 15 Build Bot 2016-10-03 19:44:52 PDT
Comment on attachment 290549 [details]
Patch

Attachment 290549 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2214510

Number of test failures exceeded the failure limit.
Comment 16 Build Bot 2016-10-03 19:44:54 PDT
Created attachment 290555 [details]
Archive of layout-test-results from ews112 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 17 Build Bot 2016-10-03 19:52:15 PDT
Comment on attachment 290549 [details]
Patch

Attachment 290549 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2214543

Number of test failures exceeded the failure limit.
Comment 18 Build Bot 2016-10-03 19:52:17 PDT
Created attachment 290557 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 19 Build Bot 2016-10-03 20:07:29 PDT
Comment on attachment 290549 [details]
Patch

Attachment 290549 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2214562

Number of test failures exceeded the failure limit.
Comment 20 Build Bot 2016-10-03 20:07:34 PDT
Created attachment 290560 [details]
Archive of layout-test-results from ews125 for ios-simulator-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 21 Michael Catanzaro 2016-10-04 11:37:53 PDT
Comment on attachment 290549 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=290549&action=review

> Source/WebCore/platform/URLParser.cpp:2715
> -static bool urlParserEnabled = false;
> +static bool urlParserEnabled = true;

When is it disabled?
Comment 22 Alex Christensen 2016-10-06 10:41:06 PDT
Created attachment 290830 [details]
Patch
Comment 23 Alex Christensen 2016-10-06 11:04:12 PDT
(In reply to comment #21)
> Comment on attachment 290549 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=290549&action=review
> 
> > Source/WebCore/platform/URLParser.cpp:2715
> > -static bool urlParserEnabled = false;
> > +static bool urlParserEnabled = true;
> 
> When is it disabled?
It isn't.  I call URLParser::setEnabled in platformInitializeWebKit2 so we can change it at runtime, but hopefully that'll be temporary and I'll migrate everything to use the new URLParser and get rid of the old one.
Comment 24 Build Bot 2016-10-06 11:47:43 PDT
Comment on attachment 290830 [details]
Patch

Attachment 290830 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2232627

Number of test failures exceeded the failure limit.
Comment 25 Build Bot 2016-10-06 11:47:47 PDT
Created attachment 290841 [details]
Archive of layout-test-results from ews112 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 26 Build Bot 2016-10-06 11:51:30 PDT
Comment on attachment 290830 [details]
Patch

Attachment 290830 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2232674

New failing tests:
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
security/block-test.html
http/tests/misc/url-in-utf32le.html
imported/w3c/web-platform-tests/html/semantics/scripting-1/the-script-element/fetch-src/failure.html
storage/websql/open-database-expand-quota.html
fast/dom/HTMLAnchorElement/set-href-attribute-protocol.html
http/tests/misc/url-in-utf16be.html
fast/loader/redirect-to-invalid-url-using-javascript-disallowed.html
fast/loader/data-url-encoding-html.html
storage/websql/open-database-creation-callback.html
fast/loader/window-open-to-invalid-url-calls-policy-delegate.html
fast/loader/data-url-encoding-svg.html
http/tests/websocket/tests/hybi/handshake-ok-with-http-version-beyond-1_1.html
fast/loader/file-URL-with-port-number.html
fast/url/ipv6.html
fast/loader/window-open-to-invalid-url-disallowed.html
fast/loader/redirect-to-invalid-url-using-meta-refresh-disallowed.html
fast/loader/url-parse-1.html
http/tests/misc/url-in-utf32be.html
http/tests/misc/url-in-utf16le.html
Comment 27 Build Bot 2016-10-06 11:51:34 PDT
Created attachment 290843 [details]
Archive of layout-test-results from ews101 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 28 Build Bot 2016-10-06 12:01:25 PDT
Comment on attachment 290830 [details]
Patch

Attachment 290830 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2232681

New failing tests:
http/tests/contentextensions/make-https.html
security/block-test.html
fast/url/ipv6.html
fast/loader/window-open-to-invalid-url-disallowed.html
storage/websql/open-database-expand-quota.html
fast/dom/HTMLAnchorElement/set-href-attribute-protocol.html
http/tests/misc/url-in-utf16be.html
fast/loader/window-open-to-invalid-url-calls-policy-delegate.html
fast/loader/url-parse-1.html
http/tests/misc/url-in-utf32le.html
http/tests/misc/url-in-utf16le.html
http/tests/websocket/tests/hybi/handshake-ok-with-http-version-beyond-1_1.html
fast/loader/file-URL-with-port-number.html
fast/loader/redirect-to-invalid-url-using-javascript-disallowed.html
imported/w3c/web-platform-tests/html/semantics/scripting-1/the-script-element/fetch-src/failure.html
fast/loader/redirect-to-invalid-url-using-meta-refresh-disallowed.html
http/tests/misc/url-in-utf32be.html
Comment 29 Build Bot 2016-10-06 12:01:29 PDT
Created attachment 290845 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 30 Build Bot 2016-10-06 12:26:51 PDT
Comment on attachment 290830 [details]
Patch

Attachment 290830 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2232732

New failing tests:
security/block-test.html
fast/url/ipv6.html
imported/w3c/web-platform-tests/html/semantics/scripting-1/the-script-element/fetch-src/failure.html
storage/websql/open-database-expand-quota.html
fast/dom/HTMLAnchorElement/set-href-attribute-protocol.html
http/tests/misc/url-in-utf16be.html
fast/loader/window-open-to-invalid-url-calls-policy-delegate.html
fast/loader/url-parse-1.html
http/tests/misc/url-in-utf32le.html
http/tests/quicklook/secure-document-with-subresources.html
http/tests/misc/url-in-utf16le.html
http/tests/websocket/tests/hybi/handshake-ok-with-http-version-beyond-1_1.html
fast/loader/file-URL-with-port-number.html
fast/loader/redirect-to-invalid-url-using-javascript-disallowed.html
fast/loader/window-open-to-invalid-url-disallowed.html
fast/loader/redirect-to-invalid-url-using-meta-refresh-disallowed.html
http/tests/misc/url-in-utf32be.html
Comment 31 Build Bot 2016-10-06 12:26:57 PDT
Created attachment 290848 [details]
Archive of layout-test-results from ews126 for ios-simulator-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 32 Alex Christensen 2016-10-06 12:53:24 PDT
Ok, enough of this EWS abuse.  I'll actually run all the tests on a reliable computer.
Comment 33 Alex Christensen 2016-10-07 11:03:14 PDT
Created attachment 290948 [details]
Patch
Comment 34 Build Bot 2016-10-07 12:00:14 PDT
Comment on attachment 290948 [details]
Patch

Attachment 290948 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2238944

Number of test failures exceeded the failure limit.
Comment 35 Build Bot 2016-10-07 12:00:17 PDT
Created attachment 290952 [details]
Archive of layout-test-results from ews116 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 36 Build Bot 2016-10-07 12:23:05 PDT
Comment on attachment 290948 [details]
Patch

Attachment 290948 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2239072

New failing tests:
fast/loader/redirect-to-invalid-url-using-javascript-disallowed.html
fast/loader/redirect-to-invalid-url-using-meta-refresh-disallowed.html
fast/loader/window-open-to-invalid-url-disallowed.html
fast/loader/file-URL-with-port-number.html
Comment 37 Build Bot 2016-10-07 12:23:09 PDT
Created attachment 290953 [details]
Archive of layout-test-results from ews107 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 38 Build Bot 2016-10-07 12:30:00 PDT
Comment on attachment 290948 [details]
Patch

Attachment 290948 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2239054

New failing tests:
security/block-test.html
fast/loader/window-open-to-invalid-url-disallowed.html
http/tests/quicklook/secure-document-with-subresources.html
fast/loader/file-URL-with-port-number.html
fast/loader/redirect-to-invalid-url-using-javascript-disallowed.html
fast/loader/redirect-to-invalid-url-using-meta-refresh-disallowed.html
Comment 39 Build Bot 2016-10-07 12:30:05 PDT
Created attachment 290955 [details]
Archive of layout-test-results from ews123 for ios-simulator-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 40 Build Bot 2016-10-07 12:38:59 PDT
Comment on attachment 290948 [details]
Patch

Attachment 290948 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2239161

New failing tests:
fast/loader/window-open-to-invalid-url-disallowed.html
fast/loader/data-url-encoding-html.html
storage/websql/open-database-creation-callback.html
fast/loader/data-url-encoding-svg.html
fast/loader/file-URL-with-port-number.html
fast/loader/redirect-to-invalid-url-using-javascript-disallowed.html
fast/loader/redirect-to-invalid-url-using-meta-refresh-disallowed.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
Comment 41 Build Bot 2016-10-07 12:39:03 PDT
Created attachment 290958 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 42 Alex Christensen 2016-10-07 12:57:39 PDT
Created attachment 290959 [details]
Patch
Comment 43 Build Bot 2016-10-07 13:54:00 PDT
Comment on attachment 290959 [details]
Patch

Attachment 290959 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2239505

New failing tests:
fast/loader/window-open-to-invalid-url-disallowed.html
storage/websql/open-database-expand-quota.html
fast/loader/data-url-encoding-svg.html
fast/loader/data-url-encoding-html.html
storage/websql/open-database-creation-callback.html
fast/loader/redirect-to-invalid-url-using-javascript-disallowed.html
fast/loader/redirect-to-invalid-url-using-meta-refresh-disallowed.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
Comment 44 Build Bot 2016-10-07 13:54:04 PDT
Created attachment 290964 [details]
Archive of layout-test-results from ews101 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 45 Build Bot 2016-10-07 13:56:56 PDT
Comment on attachment 290959 [details]
Patch

Attachment 290959 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2239512

New failing tests:
storage/websql/open-database-expand-quota.html
Comment 46 Build Bot 2016-10-07 13:57:00 PDT
Created attachment 290965 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 47 Build Bot 2016-10-07 14:09:44 PDT
Comment on attachment 290959 [details]
Patch

Attachment 290959 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2239523

New failing tests:
security/block-test.html
http/tests/quicklook/secure-document-with-subresources.html
storage/websql/open-database-expand-quota.html
Comment 48 Build Bot 2016-10-07 14:09:48 PDT
Created attachment 290967 [details]
Archive of layout-test-results from ews126 for ios-simulator-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 49 Build Bot 2016-10-07 14:17:24 PDT
Comment on attachment 290959 [details]
Patch

Attachment 290959 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2239551

New failing tests:
fast/loader/window-open-to-invalid-url-disallowed.html
storage/websql/open-database-expand-quota.html
fast/loader/data-url-encoding-svg.html
fast/loader/data-url-encoding-html.html
storage/websql/open-database-creation-callback.html
fast/loader/redirect-to-invalid-url-using-javascript-disallowed.html
fast/loader/redirect-to-invalid-url-using-meta-refresh-disallowed.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
Comment 50 Build Bot 2016-10-07 14:17:28 PDT
Created attachment 290968 [details]
Archive of layout-test-results from ews117 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 51 Alex Christensen 2016-10-07 17:41:26 PDT
Created attachment 290989 [details]
Patch
Comment 52 Build Bot 2016-10-07 18:20:04 PDT
Comment on attachment 290989 [details]
Patch

Attachment 290989 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2240763

New failing tests:
imported/w3c/web-platform-tests/url/a-element-xhtml.xhtml
storage/websql/open-database-expand-quota.html
Comment 53 Build Bot 2016-10-07 18:20:08 PDT
Created attachment 290995 [details]
Archive of layout-test-results from ews101 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 54 Build Bot 2016-10-07 18:21:54 PDT
Comment on attachment 290989 [details]
Patch

Attachment 290989 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2240768

New failing tests:
imported/w3c/web-platform-tests/url/a-element-xhtml.xhtml
storage/websql/open-database-expand-quota.html
Comment 55 Build Bot 2016-10-07 18:21:58 PDT
Created attachment 290997 [details]
Archive of layout-test-results from ews106 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 56 Build Bot 2016-10-07 18:49:38 PDT
Comment on attachment 290989 [details]
Patch

Attachment 290989 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2240817

New failing tests:
http/tests/quicklook/secure-document-with-subresources.html
security/block-test.html
imported/w3c/web-platform-tests/url/a-element-xhtml.xhtml
storage/websql/open-database-expand-quota.html
Comment 57 Build Bot 2016-10-07 18:49:42 PDT
Created attachment 291000 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 58 Build Bot 2016-10-07 21:04:10 PDT
Comment on attachment 290989 [details]
Patch

Attachment 290989 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2241412

New failing tests:
imported/w3c/web-platform-tests/url/a-element-xhtml.xhtml
storage/websql/open-database-expand-quota.html
Comment 59 Build Bot 2016-10-07 21:04:14 PDT
Created attachment 291009 [details]
Archive of layout-test-results from ews115 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 60 Alex Christensen 2016-10-10 14:43:24 PDT
Created attachment 291168 [details]
Patch
Comment 61 Alex Christensen 2016-10-10 16:29:59 PDT
Created attachment 291181 [details]
Patch
Comment 62 Alex Christensen 2016-10-10 17:13:39 PDT
Comment on attachment 291181 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=291181&action=review

> LayoutTests/ChangeLog:120
> +        * platform/mac/security/block-test-expected.txt:

Looks like I need to update security/block-test-expected.txt similarly to fix iOS.

> LayoutTests/TestExpectations:168
> +webkit.org/b/163127 storage/websql/open-database-creation-callback.html [ Skip ]
> +webkit.org/b/163127 storage/websql/open-database-expand-quota.html [ Skip ]

These two were fixed by https://trac.webkit.org/changeset/207033
Comment 63 Alex Christensen 2016-10-10 17:24:57 PDT
Created attachment 291195 [details]
Patch
Comment 64 Build Bot 2016-10-10 18:38:22 PDT
Comment on attachment 291195 [details]
Patch

Attachment 291195 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2259031

New failing tests:
http/tests/quicklook/secure-document-with-subresources.html
Comment 65 Build Bot 2016-10-10 18:38:26 PDT
Created attachment 291205 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 66 Alex Christensen 2016-10-10 19:30:22 PDT
Created attachment 291212 [details]
Patch
Comment 67 Build Bot 2016-10-10 20:30:18 PDT
Comment on attachment 291212 [details]
Patch

Attachment 291212 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2259664

New failing tests:
fast/loader/redirect-to-invalid-url-using-javascript-disallowed.html
security/block-test.html
fast/loader/window-open-to-invalid-url-disallowed.html
fast/loader/redirect-to-invalid-url-using-meta-refresh-disallowed.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
Comment 68 Build Bot 2016-10-10 20:30:22 PDT
Created attachment 291219 [details]
Archive of layout-test-results from ews102 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 69 Build Bot 2016-10-10 20:36:04 PDT
Comment on attachment 291212 [details]
Patch

Attachment 291212 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2259679

New failing tests:
security/block-test.html
Comment 70 Build Bot 2016-10-10 20:36:08 PDT
Created attachment 291220 [details]
Archive of layout-test-results from ews106 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 71 Build Bot 2016-10-10 20:43:38 PDT
Comment on attachment 291212 [details]
Patch

Attachment 291212 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2259666

New failing tests:
security/block-test.html
Comment 72 Build Bot 2016-10-10 20:43:42 PDT
Created attachment 291221 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 73 Build Bot 2016-10-10 20:51:07 PDT
Comment on attachment 291212 [details]
Patch

Attachment 291212 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2259682

New failing tests:
fast/loader/redirect-to-invalid-url-using-javascript-disallowed.html
security/block-test.html
fast/loader/window-open-to-invalid-url-disallowed.html
fast/loader/redirect-to-invalid-url-using-meta-refresh-disallowed.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
Comment 74 Build Bot 2016-10-10 20:51:11 PDT
Created attachment 291222 [details]
Archive of layout-test-results from ews112 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 75 Alex Christensen 2016-10-10 21:21:29 PDT
Created attachment 291226 [details]
Patch
Comment 76 Alex Christensen 2016-10-11 12:49:21 PDT
Created attachment 291291 [details]
Patch
Comment 77 Alex Christensen 2016-10-11 13:30:43 PDT
http://trac.webkit.org/changeset/207162
Comment 78 Alex Christensen 2016-10-11 15:01:18 PDT
Followup for an API test in http://trac.webkit.org/changeset/207167
Comment 79 Alex Christensen 2016-10-11 16:28:04 PDT
And http://trac.webkit.org/changeset/207177
Comment 80 Alex Christensen 2016-10-11 19:09:55 PDT
And http://trac.webkit.org/changeset/207184
Comment 81 Alex Christensen 2016-12-05 11:56:36 PST
*** Bug 55683 has been marked as a duplicate of this bug. ***
Comment 82 Alex Christensen 2016-12-14 11:11:07 PST
*** Bug 165597 has been marked as a duplicate of this bug. ***